Subject: bug#4202 closed by Michael Albinus <[email-masked]> (Re: bug#4202: 23.0.60; CVS emacs fails to build with D-Bus support (newer version needed))

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 21 Aug 2009 13:15:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4202: 23.0.60; CVS emacs fails to build with D-Bus support (newer version needed)

It has been closed by Michael Albinus <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Michael Albinus <[email-masked]> by
replying to this email.

-- 
4202: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4202
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4202: 23.0.60; CVS emacs fails to build with D-Bus support (newer version needed)
From: Michael Albinus <[email-masked]>
To: Tim Van Holder <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 21 Aug 2009 15:08:34 +0200

Tim Van Holder <[email-masked]> writes:

> Ah I see - because the rebuild failed, the emacs picked up from the
> path was an older build, so report-emacs-bug put in a misleading
> version number. Didn't think of that.
>
> I just rebuilt emacs with dbus support reenabled, and it links fine
> now, so it looks like your fix worked.

Thanks for reporting. I'll close the ticket now.

Best regards, Michael.

Subject: 23.0.60; CVS emacs fails to build with D-Bus support (newer version needed)
From: Tim Van Holder <[email-masked]>
To: [email-masked]
Date: Wed, 19 Aug 2009 16:08:56 +0200

Current CVS emacs fails to build on my (admittedly outdated) Debian system:

dbusbind.o: In function `xd_remove_watch':
/home/tim/gnu/src/emacs/src/dbusbind.c:766: undefined reference to `dbus_watch_get_unix_fd'
/home/tim/gnu/src/emacs/src/dbusbind.c:768: undefined reference to `dbus_watch_get_socket'
dbusbind.o: In function `xd_add_watch':
/home/tim/gnu/src/emacs/src/dbusbind.c:741: undefined reference to `dbus_watch_get_unix_fd'
/home/tim/gnu/src/emacs/src/dbusbind.c:743: undefined reference to `dbus_watch_get_socket'

My guess is those are from a newer version of D-Bus; configure finds
version 1.x on my system:

checking for pkg-config... (cached) /usr/bin/pkg-config
checking for dbus-1 >= 1.0... yes
checking DBUS_CFLAGS... -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
checking DBUS_LIBS... -ldbus-1
checking for pkg-config... (cached) /usr/bin/pkg-config

So either those functions should only be used if a newer d-bus is found,
or, if they're needed, configure should look for the minimum version
required (and either error out or just disable dbus support).

Building using --without-dbus works fine of course, and I'm not sure I
even ever used D-Bus support (not consciously anyway); but the build
still should not fail (especially since I didn't actively enable the
dbus support in the first place).